Ethiack Docs
Assets

Update Asset

PATCH
/v1/assets/{asset_id}

Updates an asset with the provided asset details.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

asset_id*integer

Unique identifier of the asset to be updated

Request Body

application/json

Asset data to be updated

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.ethiack.com/v1/assets/0" \  -H "Content-Type: application/json" \  -d '{    "tier": null  }'
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}